PrebuiltLibraries (Gradle API 9.7.1)
Description: declaration: package: org.gradle.nativeplatform, interface: PrebuiltLibraries

# Interface PrebuiltLibraries

All Superinterfaces:
  `ArtifactRepository, Collection<PrebuiltLibrary>, DomainObjectCollection<PrebuiltLibrary>, DomainObjectSet<PrebuiltLibrary>, Iterable<PrebuiltLibrary>, NamedDomainObjectCollection<PrebuiltLibrary>, NamedDomainObjectSet<PrebuiltLibrary>, Set<PrebuiltLibrary>`

@Incubating @Deprecated public interface PrebuiltLibraries extends ArtifactRepository, NamedDomainObjectSet<PrebuiltLibrary>
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A container of `PrebuiltLibrary` instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrebuiltLibrary`
  `resolveLibrary(String name)`
  Deprecated.

  ### Methods inherited from interface ArtifactRepository

  `content, getName, setName`

  ### Methods inherited from interface Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, disallowChanges, getElements, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface Iterable

  `forEach`

  ### Methods inherited from interface NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Method Details

  - ### resolveLibrary

    PrebuiltLibrary resolveLibrary(String name)
    Deprecated.